Bug 385871 - [PATCH] Open With/Open with other application does not do what it indicates
Summary: [PATCH] Open With/Open with other application does not do what it indicates
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eel2   
(Show other bugs)
Version: 8
Hardware: All Linux
high
low
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-15 22:43 UTC by David Campbell
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 11:00:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Change to Open With Dialog (504 bytes, patch)
2008-01-15 15:46 UTC, Christopher Brown
no flags Details | Diff
Translations for change to Open With Dialog (35.54 KB, patch)
2008-01-15 15:47 UTC, Christopher Brown
no flags Details | Diff

Description David Campbell 2007-11-15 22:43:19 UTC
Description of problem:

If you are viewing a directory full of files in nautilus, and for example you
click on a tiff image with the other mouse button and pull down its menu.  You
can select Open With/Open with other application.  When you do so, you see a
window with the wording 'Open .... and other files of type "TIFF image" with:'
and it lets you choose the viewer.

If you choose the viewer, it does display the current file with the viewer you
choose, but it DOES NOT change the default viewer for that type of file as the
wording indicates.

If instead of pulling down "Open With" on the menu, you pull down Properties and
choose the "Open With" tab, you see a very similar wording 'Select an
application to open ... and other files of type "TIFF image"' but in this case
if you choose the viewer and click close it does work (but it took about 30
seconds to do the change during with the CPU was up around 100% - I logged
https://bugzilla.redhat.com/show_bug.cgi?id=385841 concerning that).

Version-Release number of selected component (if applicable):

Gnome 2.20.1
Nautilus 2.20.0

How reproducible:

Always

Comment 1 Christopher Brown 2008-01-15 15:45:35 UTC
The Properties option makes the change permanent, the "Open With" option does
not. I agree it is unclear and the two attached patches resolve this.

Comment 2 Christopher Brown 2008-01-15 15:46:36 UTC
Created attachment 291719 [details]
Change to Open With Dialog

Koji scratch build for convenience...

http://koji.fedoraproject.org/koji/taskinfo?taskID=350750

Comment 3 Christopher Brown 2008-01-15 15:47:06 UTC
Created attachment 291720 [details]
Translations for change to Open With Dialog

Comment 4 Christopher Brown 2008-01-28 17:12:46 UTC
Changing to NEEDINFO as I would like patch reviewing by maintainer.

Increasing priority as I don't want to keep re-basing to new versions.

Lowering severity as it does not stop GNOME from functioning in any way.

Comment 5 Alexander Larsson 2008-01-29 11:00:32 UTC
The bug is not the string, but that the default isn't changed.
This is fixed in nautilus 2.21.x which is in rawhide.


Note You need to log in before you can comment on or make changes to this bug.